Package Details: tokyotyrant 1.1.41-3

Package Base: tokyotyrant
Description: Network interface to TokyoCabinet (with lua enabled)
Upstream URL: http://www.fallabs.com
Category: network
Licenses: LGPL
Submitter: None
Maintainer: None
Last Packager: None
Votes: 17
First Submitted: 2009-03-23 22:26
Last Updated: 2013-09-02 16:56

Dependencies (3)

Required by (2)

Sources

Latest Comments

Comment by Skunnyk

2015-06-22 11:14

I don't use it anymore, feel free to adopt it :)

Comment by Dav1d

2015-06-14 10:43

The PKGBUILD requires an update:

--- PKGBUILD.new 2015-06-14 12:40:58.790376563 +0200
+++ PKGBUILD 2015-06-14 12:41:19.150018627 +0200
@@ -19,7 +19,7 @@
build() {
cd "$srcdir/${pkgname}-${pkgver}"
patch -p1 < ../fix-build.patch
- ./configure --prefix=/usr --enable-lua
+ ./configure --sbindir=/usr/bin --prefix=/usr --enable-lua
make
}

Comment by Skunnyk

2013-09-02 16:57

Updated with fix by @test0 + lua enabled + fix build

Comment by test0

2013-08-28 20:46

--- PKGBUILD 2011-07-26 22:57:59.000000000 +0000
+++ PKGBUILD.new 2013-08-29 01:42:11.340630011 +0000
@@ -19,15 +19,15 @@
'2558846ece69d1f265ee1ba5728c39cd')

build() {
- cd "$startdir/src/${pkgname}-${pkgver}"
+ cd "$srcdir/${pkgname}-${pkgver}"
./configure --prefix=/usr
make
}

package() {
- cd "$startdir/src/${pkgname}-${pkgver}"
- make DESTDIR="$startdir/pkg" install || return 1
- install -m 644 -D ../../tokyotyrant.conf $startdir/pkg/etc/conf.d/ttserver || return 1
- install -m 755 -D ../../tokyotyrant.rc $startdir/pkg/etc/rc.d/ttserver || return 1
+ cd "$srcdir/${pkgname}-${pkgver}"
+ make DESTDIR="$pkgdir" install || return 1
+ install -m 644 -D ../../tokyotyrant.conf $pkgdir/etc/conf.d/ttserver || return 1
+ install -m 755 -D ../../tokyotyrant.rc $pkgdir/etc/rc.d/ttserver || return 1
}

Comment by natir

2013-05-30 17:00

When add armv6h arch, compile error.

Traceback :
#================================================================
# Ready to make.
#================================================================
cat myconf.c tcutil.c md5.c tchdb.c tcbdb.c tcfdb.c tctdb.c tcadb.c > tokyocabinet_all.c
gcc -c -D_FORTIFY_SOURCE=2 -I. -I/usr/include -I/home/pierre/include -I/usr/local/include -DNDEBUG -D_GNU_SOURCE=1 -D_REENTRANT -D__EXTENSIONS__ -D_MYFASTEST -D_FILE_OFFSET_BITS=64 -D_TC_PREFIX="\"/usr\"" -D_TC_INCLUDEDIR="\"/usr/include\"" -D_TC_LIBDIR="\"/usr/lib\"" -D_TC_BINDIR="\"/usr/bin\"" -D_TC_LIBEXECDIR="\"/usr/libexec\"" -D_TC_APPINC="\"-I/usr/include\"" -D_TC_APPLIBS="\"-L/usr/lib -ltokyocabinet -lbz2 -lz -lrt -lpthread -lm -lc \"" -march=armv6 -mfloat-abi=hard -mfpu=vfp -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -std=c99 -Wall -fPIC -pedantic -fsigned-char -O3 -fomit-frame-pointer -fforce-addr -minline-all-stringops tokyocabinet_all.c
gcc: error: unrecognized command line option ‘-minline-all-stringops’
make: *** [tokyocabinet_all.o] Error 1

Comment by angvp

2011-07-26 19:24

thx @wrl

Comment by wrl

2011-07-05 12:31

1978th.net is no more, the sources have moved to fallabs.com/


--- a/PKGBUILD 2011-07-05 14:30:45.339667688 +0200
+++ b/PKGBUILD 2011-07-05 14:30:32.346335136 +0200
@@ -10,7 +10,7 @@
license=('LGPL')
makedepends=('gcc>=3.1' 'make' 'pkgconfig')
depends=('zlib' 'bzip2' 'tokyocabinet>=1.4.27')
-source=("http://1978th.net/$pkgname/$pkgname-$pkgver.tar.gz"
+source=("http://fallabs.com/$pkgname/$pkgname-$pkgver.tar.gz"
"tokyotyrant.rc"
"tokyotyrant.conf")